ConnectCloud Developers

Reopen a closed month of the given employees (hr:time:manage, or managers for their team)

POST /api/hr/v1/time-periods/reopen

Module: HR · operationId: reopenTimePeriod · Tag: Working time · Auth: access token (Authorization: Bearer <accessToken>)

Request body

application/json (required)

  • month (string, required): YYYY-MM
  • employeeIds (array of string): Employees to close or reopen the month for; empty: every active employee

Example:

{
  "employeeIds": [
    "c7e9a1b3-5d7f-4b2c-8e4a-6f8b0d2c4e06",
    "e5a1c3d7-2b4f-4c6e-8a0b-1d3f5b7c9e02"
  ],
  "month": "2026-10"
}

Responses

  • 204 Reopened
  • 404 Error (application/json)

Example request

curl -X POST 'https://api.mbcom.cloud/api/hr/v1/time-periods/reopen' \
  -H "Authorization: Bearer $ACCESS_TOKEN" \
  -H 'Content-Type: application/json' \
  --data '{"employeeIds":["c7e9a1b3-5d7f-4b2c-8e4a-6f8b0d2c4e06","e5a1c3d7-2b4f-4c6e-8a0b-1d3f5b7c9e02"],"month":"2026-10"}'

View as Markdown · Interactive reference · OpenAPI